# SignerEntry | xrpl
Documentation for xrpl

# Interface SignerEntry

The object that describes the signer in SignerEntries.

#### Hierarchy

- SignerEntry

- Defined in packages/xrpl/src/models/common/index.ts:64

#####
Index

### Properties

SignerEntry

## Properties

### SignerEntry

SignerEntry: {
Account: string;
SignerWeight: number;
WalletLocator?: string;
}

The object that describes the signer in SignerEntries.

#### Type declaration

- ##### Account: string

  An XRP Ledger address whose signature contributes to the multi-signature. It does not need to be a funded address in the ledger.

- ##### SignerWeight: number

  The weight of a signature from this signer. A multi-signature is only valid if the sum weight of the signatures provided meets or exceeds the signer list's SignerQuorum value.

- ##### `Optional` WalletLocator?: string

  An arbitrary 256-bit (32-byte) field that can be used to identify the signer, which may be useful for smart contracts, or for identifying who controls a key in a large organization.

- Defined in packages/xrpl/src/models/common/index.ts:68

Generated using TypeDoc